%define anolis_release 1
%global pypi_name mat4py
%global pypi_version 0.6.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Load and save data in the Matlab (TM) MAT-file format

License:        MIT License
URL:            https://github.com/nephics/mat4py/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
mat4py - load and save data in the Matlab (TM) MAT-file format. The package
provides the mat4py module with the functions loadmat and savemat that allows
for reading resp. writing data in the Matlab (TM) MAT-file format.Matlab data
is loaded into basic Python data types. Matrices are stored row-major using
lists of lists. Matlab structs and cells are represented using Python dicts.The
package...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
mat4py - load and save data in the Matlab (TM) MAT-file format. The package
provides the mat4py module with the functions loadmat and savemat that allows
for reading resp. writing data in the Matlab (TM) MAT-file format.Matlab data
is loaded into basic Python data types. Matrices are stored row-major using
lists of lists. Matlab structs and cells are represented using Python dicts.The
package...

%prep
%autosetup -n %{pypi_name}-%{pypi_version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Tue Oct 31 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 0.6.0-1
- Initial package.
